Page MenuHomePhabricator

"vagrant up" fails with "Undefined index: wiki in /var/www/w/MWMultiVersion.php", web server only replies with "No wiki found"
Closed, InvalidPublic

Description

I use port 8080 for a different application, so I have to choose an alternate port for MediaWiki-Vagrant; also NFS host → guest doesn't work for me. With an up-to-date mediawiki/vagrant repository (and having run setup.sh), I deleted my previous try with vagrant destroy and ran vagrant up with the following configuration and no roles enabled:

[tim@passepartout ~/src/mediawiki-vagrant]$ vagrant config --list
git_user        Your git/Gerrit username
                Enter 'anonymous' for anonymous access, leave blank to manage it yourself
                Current value: anonymous

vagrant_ram     Amount of RAM (in MB) allocated to the guest VM
                Specify 'auto' to automatically allocate 1/4 of your system's memory
                Current value: 1536 (default)

vagrant_cores   CPU cores allocated to the guest VM
                All of your host system's cores are allocated by default.
                Current value: 2

static_ip       IP address assigned to the guest VM
                Current value: 10.11.12.13 (default)

http_port       Host port forwarded to the guest VM's HTTP server (port 80)
                Current value: 4444

host_ip Host ip address to bind forwards to
                Set to '0.0.0.0' to bind to all ips and allow external access
                Current value: 127.0.0.1 (default)

nfs_shares      Use synced folders backed by NFS
                Enter 'yes' or 'no'. NFS is faster, but unsupported on Windows and with some encrypted filesystems on Linux
                Current value: false

nfs_cache       Use cachefilesd to speed up NFS file access (EXPERIMENTAL)
                Enter 'yes' or 'no'. If your VM is currently running, reload it after changing this setting.
                Current value: false (default)

forward_agent   Enable agent forwarding over SSH connections by default
                Enter 'yes' or 'no'. Agent forwarding requires an SSH agent running on the host computer.
                Current value: false (default)

forward_x11     Enable X11 forwarding over SSH connections by default
                Enter 'yes' or 'no'. X11 forwarding enables GUI applications to be run on the guest.
                Current value: true (default)

[tim@passepartout ~/src/mediawiki-vagrant]$
[tim@passepartout ~/src/mediawiki-vagrant]$ vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Importing base box 'trusty-cloud'...
==> default: Matching MAC address for NAT networking...
==> default: Setting the name of the VM: mediawiki-vagrant_default_1445722710648_57702
==> default: Clearing any previously set forwarded ports...
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
    default: Adapter 2: hostonly
==> default: Forwarding ports...
    default: 80 => 4444 (adapter 1)
    default: 22 => 2222 (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: Warning: Connection timeout. Retrying...
    default: Warning: Remote connection disconnect. Retrying...
    default: 
    default: Vagrant insecure key detected. Vagrant will automatically replace
    default: this with a newly generated keypair for better security.
    default: 
    default: Inserting generated public key within guest...
    default: Removing insecure key from the guest if it's present...
    default: Key inserted! Disconnecting and reconnecting using new SSH key...
==> default: Machine booted and ready!
GuestAdditions versions on your host (4.3.20) and guest (4.3.10) do not match.
stdin: is not a tty
 * Stopping VirtualBox Additions
   ...done.
stdin: is not a tty
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  dkms fakeroot gcc gcc-4.8 libasan0 libatomic1 libc-dev-bin libc6-dev
  libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libfakeroot libfontenc1
  libgcc-4.8-dev libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgomp1
  libice6 libitm1 libllvm3.4 libpciaccess0 libpixman-1-0 libquadmath0 libsm6
  libtsan0 libtxc-dxtn-s2tc0 libx11-xcb1 libxaw7 libxcb-dri2-0 libxcb-dri3-0
  libxcb-glx0 libxcb-present0 libxcb-sync1 libxcomposite1 libxdamage1
  libxfixes3 libxfont1 libxkbfile1 libxmu6 libxpm4 libxrandr2 libxrender1
  libxshmfence1 libxt6 libxxf86vm1 linux-libc-dev manpages-dev x11-common
  x11-xkb-utils xfonts-base xfonts-encodings xfonts-utils xserver-common
  xserver-xorg-core
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  virtualbox-guest-dkms* virtualbox-guest-utils* virtualbox-guest-x11*
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
After this operation, 12.1 MB disk space will be freed.
(Reading database ... 61004 files and directories currently installed.)
Removing virtualbox-guest-dkms (4.3.10-dfsg-1ubuntu5) ...

-------- Uninstall Beginning --------
Module:  virtualbox-guest
Version: 4.3.10
Kernel:  3.13.0-66-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxguest.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-66-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxsf.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-66-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxvideo.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-66-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 4.3.10
completely from the DKMS tree.
------------------------------
Done.
Removing virtualbox-guest-x11 (4.3.10-dfsg-1ubuntu5) ...
Purging configuration files for virtualbox-guest-x11 (4.3.10-dfsg-1ubuntu5) ...
Removing virtualbox-guest-utils (4.3.10-dfsg-1ubuntu5) ...
Purging configuration files for virtualbox-guest-utils (4.3.10-dfsg-1ubuntu5) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
stdin: is not a tty
Reading package lists...
Building dependency tree...
Reading state information...
dkms is already the newest version.
dkms set to manually installed.
linux-headers-3.13.0-66-generic is already the newest version.
linux-headers-3.13.0-66-generic set to manually installed.
The following packages were automatically installed and are no longer required:
  libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libfontenc1 libgl1-mesa-dri
  libgl1-mesa-glx libglapi-mesa libice6 libllvm3.4 libpciaccess0 libpixman-1-0
  libsm6 libtxc-dxtn-s2tc0 libx11-xcb1 libxaw7 libxcb-dri2-0 libxcb-dri3-0
  libxcb-glx0 libxcb-present0 libxcb-sync1 libxcomposite1 libxdamage1
  libxfixes3 libxfont1 libxkbfile1 libxmu6 libxpm4 libxrandr2 libxrender1
  libxshmfence1 libxt6 libxxf86vm1 x11-common x11-xkb-utils xfonts-base
  xfonts-encodings xfonts-utils xserver-common xserver-xorg-core
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Downloading VirtualBox Guest Additions ISO from http://download.virtualbox.org/virtualbox/4.3.20/VBoxGuestAdditions_4.3.20.iso
Copy iso file /home/tim/.vagrant.d/tmp/VBoxGuestAdditions_4.3.20.iso into the box /tmp/VBoxGuestAdditions.iso
stdin: is not a tty
mount: block device /tmp/VBoxGuestAdditions.iso is write-protected, mounting read-only
Installing Virtualbox Guest Additions 4.3.20 - guest version is 4.3.10
stdin: is not a tty
Verifying archive integrity... All good.
Uncompressing VirtualBox 4.3.20 Guest Additions for Linux............
VirtualBox Guest Additions installer
Copying additional installer modules ...
Installing additional modules ...
Removing existing VirtualBox DKMS kernel modules ...done.
Removing existing VirtualBox non-DKMS kernel modules ...done.
Building the VirtualBox Guest Additions kernel modules ...done.
Doing non-kernel setup of the Guest Additions ...done.
Starting the VirtualBox Guest Additions ...done.
Installing the Window System drivers
Could not find the X.Org or XFree86 Window System, skipping.
An error occurred during installation of VirtualBox Guest Additions 4.3.20. Some functionality may not work as intended.
In most cases it is OK that the "Window System drivers" installation failed.                                                                                            
stdin: is not a tty
Cleaning up downloaded VirtualBox Guest Additions ISO...
==> default: Checking for guest additions in VM...
==> default: Setting hostname...
==> default: Configuring and enabling network interfaces...
==> default: Mounting shared folders...
    default: /vagrant => /home/tim/src/mediawiki-vagrant
    default: /vagrant/logs => /home/tim/src/mediawiki-vagrant/logs
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: stdin: is not a tty
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/pe_version.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/root_home.rb
==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 13.60 seconds
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/pe_version.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/root_home.rb
==> default: Info: Applying configuration version '1445722943.no-git'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/multiversion-install]/ensure: created
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d/51-cloudguest]/ensure: removed
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/mwscript]/ensure: created
==> default: Notice: /Stage[main]/Git::Gerrit/Sshkey[gerrit.wikimedia.org]/ensure: created
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d/00-header]/ensure: removed
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/alldbs]/ensure: created
==> default: Notice: /Stage[main]/Misc/Exec[fix_root_profile]/returns: executed successfully
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d]/owner: owner changed 'root' to 'vagrant'
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d]/group: group changed 'root' to 'www-data'
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d]/mode: mode changed '0755' to '0775'
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/bash_completion.sh]/ensure: removed
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/mediawiki-vagrant.sh]/ensure: defined content as '{md5}315eb070370a6fd06a535e1c1f35bf65'
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/Z99-cloud-locale-test.sh]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/var/www]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWMultiVersion.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/defines.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/resources]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/missing.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/CREDITS]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/opensearch_desc.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/api.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWScript.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb_handler.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/assets]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/skins]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d/10-help-text]/ensure: removed
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/index.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/mw-config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/dblist.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwiki]/ensure: created
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/Z97-byobu.sh]/ensure: removed
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/img_auth.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Git::Gerrit/File[/etc/ssh/ssh_known_hosts]/mode: mode changed '0600' to '0644'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/COPYING]/ensure: created
==> default: Notice: /Stage[main]/Mysql/File[/home/vagrant/.my.cnf]/ensure: defined content as '{md5}ef06fc0c2fb48af1df465c01df0f9634'
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d/50-landscape-sysinfo]/ensure: removed
==> default: Info: /etc/update-motd.d: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/load.php]/ensure: defined content as '{md5}7c39985a7e1c410e006aeb5897548ee9'
==> default: Notice: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]/ensure: defined content as '{md5}3aba016b0d0dda7268fcb1b655ea78f9'
==> default: Info: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Motd/Exec[update_motd]: Triggered 'refresh' from 2 events
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/sources.list.d/multiverse.list]/ensure: defined content as '{md5}a4108116df82d5428debf4b06fbd0f54'
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/20shared-cache]/ensure: defined content as '{md5}711fa2f2a913db3990e7beb15cf57b5b'
==> default: Notice: /Stage[main]/Apt/File[/usr/local/share/wikimedia-pubkey.asc]/ensure: defined content as '{md5}39e2c3119a82a59d706317fce97a6bfc'
==> default: Info: /Stage[main]/Apt/File[/usr/local/share/wikimedia-pubkey.asc]: Scheduling refresh of Exec[add_wikimedia_apt_key]
==> default: Notice: /Stage[main]/Apt/Exec[add_wikimedia_apt_key]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/sources.list.d/wikimedia.list]/ensure: defined content as '{md5}19cad1f435f4dfd22798f630b9a427fd'
==> default: Notice: /Stage[main]/Apt/Exec[update_package_index]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/extensions]/ensure: created
==> default: Notice: /Stage[main]/Puppet::Agent/Service[puppet]/ensure: ensure changed 'running' to 'stopped'
==> default: Notice: /Stage[main]/Php::Composer/Env::Var[COMPOSER_CACHE_DIR]/File[/etc/profile.d/set_COMPOSER_CACHE_DIR.sh]/ensure: created
==> default: Notice: /Stage[main]/Arcanist/Env::Profile_script[add arcanist bin to path]/File[/etc/profile.d/50-add-arcanist-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Php::Composer/Env::Profile_script[add composer global bin to path]/File[/etc/profile.d/50-add-composer-global-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Misc/Env::Profile_script[xdebug]/File[/etc/profile.d/50-xdebug.sh]/ensure: created
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/01no-recommended]/ensure: defined content as '{md5}53ce69211afabdf3f0123353515e80f4'
==> default: Notice: /Stage[main]/Php::Xhprof/Package[php5-xhprof]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[ack-grep]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[httpie]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[htop]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Remote_debug/Package[php5-xdebug]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[jq]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Redis/Package[redis-server]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mysql::Packages/Package[mysql-server]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Postfix/Package[postfix]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/virtual]/ensure: defined content as '{md5}284c63d3df11d7b4c3d945150840f050'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/virtual]: Scheduling refresh of Exec[postmap_virtual]
==> default: Notice: /Stage[main]/Postfix/Exec[postmap_virtual]: Triggered 'refresh' from 1 events
==> default: Info: /Stage[main]/Postfix/Exec[postmap_virtual]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/content: content changed '{md5}a26b006a6b47ac9f0ed2c710f8d9c327' to '{md5}487c1c7332edce2a3fa48c2a35c278db'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/Service[postfix]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Apache::Mod::Php5/Package[libapache2-mod-php5]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/21-cloudinit.conf]/ensure: removed
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/README]/ensure: defined content as '{md5}3d21c7747fe11d9e5679d67b5a212df1'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/20-ufw.conf]/ensure: removed
==> default: Notice: /Stage[main]/Misc/File[/etc/ackrc]/ensure: defined content as '{md5}744cd26afe93f6ae5e3f04cee2bbc188'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/content: content changed '{md5}331419cf134c3cdce519b0d0f151cbc9' to '{md5}adf14ad862398d9eaab25c196ffb4f40'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/owner: owner changed 'root' to 'vagrant'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/group: group changed 'root' to 'www-data'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/mode: mode changed '0644' to '0664'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/favicon.ico]/ensure: defined content as '{md5}b1d335c7c87c3d9b0693db6a5dc69d7b'
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/info.php]/ensure: defined content as '{md5}fb92f9147037f47dcf29c96dbc68154d'
==> default: Notice: /Stage[main]/Php/Package[php5-mysql]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-gd]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-auth-sasl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-mail-mime]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-mail]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-mcrypt]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-apcu]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php/Package[php5-sqlite]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-enabled/000-default.conf]/ensure: removed
==> default: Notice: /Stage[main]/Php::Sessionclean/File[/etc/cron.d/php5]/content: content changed '{md5}c1629acd8cda1a2ff234ca9c9b6ecd27' to '{md5}b9084c861dc98e206fae69f7e3bad026'
==> default: Notice: /Stage[main]/Php/Package[php5-curl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-enabled]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-enabled]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Sessionclean/File[/usr/lib/php5/sessionclean]/content: content changed '{md5}6a769dfc0fb5f31bc022afabc6223e0a' to '{md5}276db24518797f29f6bc3584be30cb43'
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]/ensure: defined content as '{md5}d967cccdfe74b2a848a0741d66af10a4'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Service[apache2]                                                                                                                                                               
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _opcache_validate_timestamps]                                                                                                                  
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]/ensure: defined content as '{md5}d063cce793713a4e99892c1076fcaa4c'
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _debug_output]                                                                                                                                                               
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/Exec[/usr/sbin/php5enmod -s ALL _opcache_validate_timestamps]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/Exec[/usr/sbin/php5enmod -s ALL _debug_output]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]/ensure: defined content as '{md5}40b70aadb08cf59d6592d882a2381f01'
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _xhprof_enable]                                                                                                                                                    
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/Exec[/usr/sbin/php5enmod -s ALL _xhprof_enable]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]/ensure: defined content as '{md5}7236471110ece2bbd4ff508af9030132'
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _session_defaults]                                                                                                                                                   
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]/ensure: defined content as '{md5}51d20eabbc6359191860ec1b0dd8f43a'
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _date_timezone]                                                                                                                                                            
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]/ensure: defined content as '{md5}f1115221d2629974b905dc37476797a1'
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _remote_debug]                                                                                                                                                 
==> default: Info: /etc/apache2/sites-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/Exec[/usr/sbin/php5enmod -s ALL _date_timezone]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/Exec[/usr/sbin/php5enmod -s ALL _session_defaults]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-available]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-available]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/Exec[/usr/sbin/php5enmod -s ALL _remote_debug]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/serve-cgi-bin.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/charset.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]/ensure: defined content as '{md5}3374b27a6af73047a312d879c5430280'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Service[apache2]                                                                                                                                                                       
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _opcache_revalidate_freq]                                                                                                                              
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/Exec[/usr/sbin/php5enmod -s ALL _opcache_revalidate_freq]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/default-ssl.conf]/ensure: removed
==> default: Notice: /Stage[main]/Php/Package[php-net-smtp]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/ports.conf]/content: content changed '{md5}a961f23471d985c2b819b652b7f64321' to '{md5}6d05b725152cd7331aebe785a7415bc5'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/ports.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/site-confs]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/site-confs]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mwv/Package[build-essential]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv/Package[python-pip]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv/Package[ruby-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv/Package[python-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv/Package[chef-zero]/ensure: removed
==> default: Notice: /Stage[main]/Mwv/Package[chef]/ensure: removed
==> default: Notice: /Stage[main]/Redis/File[/srv/redis]/ensure: created
==> default: Notice: /Stage[main]/Mwv/Package[cachefilesd]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv/File[/etc/default/cachefilesd]/content: content changed '{md5}f470125dbe9aae183fbf9c1b2744d4a2' to '{md5}8c589c891f31441be7939f743d452d19'
==> default: Info: /Stage[main]/Mwv/File[/etc/default/cachefilesd]: Scheduling refresh of Service[cachefilesd]
==> default: Notice: /Stage[main]/Mwv/Service[cachefilesd]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Mwv/Service[cachefilesd]: Unscheduling refresh on Service[cachefilesd]
==> default: Notice: /Stage[main]/Mwv/File[/etc/mw-vagrant]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services/.gitignore]/ensure: defined content as '{md5}d41d8cd98f00b204e9800998ecf8427e'
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[arcanist]/File[/etc/mw-vagrant/services/arcanist.conf]/ensure: created
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[libphutil]/File[/etc/mw-vagrant/services/libphutil.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mysql/Exec[set_mysql_password]/returns: executed successfully
==> default: Notice: /Stage[main]/Php::Composer/Exec[download_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php::Composer/File[/usr/local/bin/composer]/mode: mode changed '0644' to '0755'
==> default: Notice: /Stage[main]/Php::Composer/Exec[update_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Redis/File[/etc/redis/redis.conf]/content: content changed '{md5}e79ac99a5236e6ab3faf86bdd99affaf' to '{md5}dedc5a2ff609b5cceadc08307646ad54'
==> default: Info: /Stage[main]/Redis/File[/etc/redis/redis.conf]: Scheduling refresh of Service[redis-server]
==> default: Notice: /Stage[main]/Redis/Service[redis-server]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Redis::Php/Package[php5-redis]/ensure: ensure changed 'purged' to 'present'
==> default: Info: /Stage[main]/Redis::Php/Package[php5-redis]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Stage[main]/Hhvm/Package[hhvm]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/usr/local/bin/hhvmsh]/ensure: defined content as '{md5}db1312e407c8fb05c1fb193692ce5c2f'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/fcgi]/ensure: removed
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-dev]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Stage[main]/Hhvm/Package[hhvm-dev]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/fcgi.ini]/ensure: defined content as '{md5}8152c24d080f6cecb74b79c30585655b'
==> default: Info: /Stage[main]/Hhvm/File[/etc/hhvm/fcgi.ini]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/default/hhvm]/content: content changed '{md5}d60fa72d85c37c4457c0e14a3272fa3f' to '{md5}2703e451dbc601f026a887dfa80710bf'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/default/hhvm]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Hhvm/File[/etc/default/hhvm]: Scheduling refresh of Service[hhvm]
==> default: Info: /Stage[main]/Hhvm/File[/etc/default/hhvm]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/var/run/hhvm/fcgi.hhbc.sq3]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/File[/var/run/hhvm/hhvm.hhbc]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/php.ini]/content: content changed '{md5}65a278061b7568d2c41d1025828d3865' to '{md5}f6eaf716d64d8766d2ecb54d5307c26c'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/init/hhvm.conf]/content: content changed '{md5}53e9c2cb8707de0c306c02a6d52b79f7' to '{md5}959a120a892e5c86267f7faaa0e06180'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/init/hhvm.conf]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Hhvm/File[/etc/init/hhvm.conf]: Scheduling refresh of Service[hhvm]
==> default: Info: /Stage[main]/Hhvm/File[/etc/init/hhvm.conf]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-tidy]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Stage[main]/Hhvm/Package[hhvm-tidy]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-luasandbox]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Stage[main]/Hhvm/Package[hhvm-luasandbox]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-wikidiff2]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Stage[main]/Hhvm/Package[hhvm-wikidiff2]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-fss]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Stage[main]/Hhvm/Package[hhvm-fss]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Php/Package[php5-intl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/000-default.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Git/Package[git]/ensure: ensure changed 'purged' to 'latest'
==> default: Notice: /Stage[main]/Git::Gerrit/Exec[gitreview.username]/returns: executed successfully
==> default: Notice: /Stage[main]/Git/Package[git-review]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/tests]/ensure: created
==> default: Notice: /Stage[main]/Php/Package[php5-readline]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/File[/usr/local/sbin/isfresh]/ensure: defined content as '{md5}6fee8323b6bdd6afc7c37faa4491794a'
==> default: Notice: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]/returns: executed successfully
==> default: Info: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Role::Mediawiki/Package[tidy]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Role::Mediawiki/Package[mailutils]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Role::Mediawiki/Package[php5-tidy]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWVersion.php]/ensure: created
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/postfix.conf]/ensure: removed
==> default: Info: /etc/rsyslog.d: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Hhvm/Rsyslog::Conf[hhvm]/File[/etc/rsyslog.d/40-hhvm.conf]/ensure: created
==> default: Info: /Stage[main]/Hhvm/Rsyslog::Conf[hhvm]/File[/etc/rsyslog.d/40-hhvm.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Hhvm/Service[hhvm]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Hhvm/Service[hhvm]: Unscheduling refresh on Service[hhvm]
==> default: Notice: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]/ensure: defined content as '{md5}a8d7f449c8ce1164b24d498420404ad1'
==> default: Info: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Rsyslog/Service[rsyslog]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Php/Package[php5-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-available/50-errors-to-syslog.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-available/50-disable-sendfile.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-available/00-fcgi-headers.conf]/ensure: defined content as '{md5}ea4ac38ac1e2779cb56d9fcfa0a194b2'
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]/ensure: created
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]: Scheduling refresh of Service[apache2]                                                                                                                                                                 
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-available/50-devwiki.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]: Scheduling refresh of Service[apache2]                                                                                                                                                          
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-available/50-php5-devwiki.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-enabled/50-php5-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-enabled/50-php5-devwiki.conf]: Scheduling refresh of Service[apache2]                                                                                                                                           
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/File[/etc/apache2/site-confs/php5-devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/File[/etc/apache2/site-confs/php5-devwiki/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/File[/etc/apache2/site-confs/hhvm-admin]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-available/50-hhvm-admin.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-enabled/50-hhvm-admin.conf]/ensure: created
==> default: Info: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-enabled/50-hhvm-admin.conf]: Scheduling refresh of Service[apache2]                                                                                                                                                              
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/File[/etc/apache2/site-confs/hhvm-admin/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-mediawiki-tests]/ensure: defined content as '{md5}cb1918d4464e50c256399b91c411bb05'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/import-mediawiki-dump]/ensure: defined content as '{md5}81874e61ef7c14f0a5b1aa87a337cfbb'
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/etc/logrotate.d/mediawiki_shared_log_groups]/ensure: defined content as '{md5}4554c240e91096c604353697021c594e'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/cache/mediawiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/LoadWgConf.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-git-update]/ensure: defined content as '{md5}7c9645031be71b7833b93f06d4543feb'
==> default: Notice: /Stage[main]/Mediawiki/Env::Profile_script[add mediawiki vendor bin to path]/File[/etc/profile.d/50-add-mediawiki-vendor-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Env::Var[MW_INSTALL_PATH]/File[/etc/profile.d/set_MW_INSTALL_PATH.sh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/CommonSettings.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]/ensure: defined content as '{md5}b4d81027deae637649e8cae9a4cfc280'
==> default: Info: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Scheduling refresh of Exec[add page devwiki/Template:Main_Page]                                                                                                                                            
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]/ensure: defined content as '{md5}979e21898e306eacb010b05e97764c4b'
==> default: Info: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Scheduling refresh of Exec[add page devwiki/Main_Page]                                                                                                                                                                       
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Scheduling refresh of Service[apache2]                                                                                                                                       
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Triggered 'refresh' from 31 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/dbConf.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[mediawiki_upstart_bridge]/ensure: defined content as '{md5}b1cfb3aa1f75ada7780442b4a8a1ca76'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]/ensure: defined content as '{md5}64ae42537fb40c737e432f1e747355f7'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]/ensure: defined content as '{md5}3d03b655685bd2782abe4fed738bb1c3'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Notice:  Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Notice: Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0007     235472   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0008     235648   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0034     248792   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0047     283272   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Warning:  chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Warning: chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0007     235472   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0008     235648   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0034     248792   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0051     283400   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: The MediaWiki script file "/maintenance/edit.php" does not exist.
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Failed to call refresh: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Template:Main_Page' < /srv/pages/wiki/wiki/Template:Main_Page returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Template:Main_Page' < /srv/pages/wiki/wiki/Template:Main_Page returned 1 instead of one of [0]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Notice:  Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Notice: Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235464   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235640   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0028     248784   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0040     283248   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Warning:  chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Warning: chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235464   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235640   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0028     248784   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0044     283376   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: The MediaWiki script file "/maintenance/edit.php" does not exist.
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]: Failed to call refresh: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Main_Page' < /srv/pages/wiki/wiki/Main_Page returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Main_Page' < /srv/pages/wiki/wiki/Main_Page returned 1 instead of one of [0]
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant.png]/ensure: defined content as '{md5}f9afb7d19e39247820bc1e81883a96f7'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]/ensure: defined content as '{md5}1b6994f4726b1363de2db9dae31d5f0b'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Scheduling refresh of Service[jobrunner]
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Scheduling refresh of Service[jobchron]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/init/jobchron.conf]/ensure: defined content as '{md5}1c17a80c95f5eba5cf968f522b788f54'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/init/jobchron.conf]: Scheduling refresh of Service[jobchron]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service[jobchron]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Service[jobchron]: Unscheduling refresh on Service[jobchron]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]/ensure: defined content as '{md5}c0564b448912c945c66211e090579aa8'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Scheduling refresh of Service[jobrunner]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]/ensure: defined content as '{md5}45c948a63da5a66eb22369ca7e0fb91a'
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]/ensure: defined content as '{md5}108922f7a7305cd4f69202fa6ba6d2ee'
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/init/jobrunner.conf]/ensure: defined content as '{md5}308357129096b6276f6e8b416693f22d'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/init/jobrunner.conf]: Scheduling refresh of Service[jobrunner]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service[jobrunner]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Service[jobrunner]: Unscheduling refresh on Service[jobrunner]
==> default: Info: Creating state file /var/lib/puppet/state/state.yaml
==> default: Notice: Finished catalog run in 525.22 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.
[tim@passepartout ~/src/mediawiki-vagrant]$

The error part of that is:

==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Notice:  Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Notice: Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0007     235472   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0008     235648   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0034     248792   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0047     283272   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Warning:  chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: PHP   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Warning: chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0007     235472   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0008     235648   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0034     248792   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns:     0.0051     283400   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]/returns: The MediaWiki script file "/maintenance/edit.php" does not exist.
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Failed to call refresh: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Template:Main_Page' < /srv/pages/wiki/wiki/Template:Main_Page returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Template:Main_Page' < /srv/pages/wiki/wiki/Template:Main_Page returned 1 instead of one of [0]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Notice:  Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Notice: Undefined index: wiki in /var/www/w/MWMultiVersion.php on line 146
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235464   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235640   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0028     248784   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0040     283248   4. MWMultiVersion->getMediawikiRoot() /var/www/w/MWVersion.php:61
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Warning:  chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP Stack trace:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: PHP   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Warning: chdir(): No such file or directory (errno 2) in /var/www/w/MWVersion.php on line 62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: Call Stack:
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235464   1. {main}() /var/www/w/MWScript.php:0
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0007     235640   2. getMWScriptWithArgs() /var/www/w/MWScript.php:89
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0028     248784   3. getMediaWikiCli() /var/www/w/MWScript.php:79
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns:     0.0044     283376   4. chdir() /var/www/w/MWVersion.php:62
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: 
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]/returns: The MediaWiki script file "/maintenance/edit.php" does not exist.
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]: Failed to call refresh: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Main_Page' < /srv/pages/wiki/wiki/Main_Page returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Exec[add page devwiki/Main_Page]: /usr/local/bin/mwscript edit.php --wiki=wiki --summary='Vagrant import' --no-rc 'Main_Page' < /srv/pages/wiki/wiki/Main_Page returned 1 instead of one of [0]

When I try to access the wiki at http://localhost:4444/ or http://test.local.wmftest.net:4444/, I get an error message:

No wiki found

Sorry, we were not able to work out what wiki you were trying to view. Please specify a valid Host header.
Available wikis:

  • devwiki

with "devwiki" linking back to the same page.

Event Timeline

scfc created this task.Oct 24 2015, 10:33 PM
scfc updated the task description. (Show Details)
scfc raised the priority of this task from to Needs Triage.
scfc added a project: MediaWiki-Vagrant.
scfc added a subscriber: scfc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2015, 10:33 PM
scfc updated the task description. (Show Details)Oct 24 2015, 10:34 PM
scfc set Security to None.
scfc added a comment.Oct 28 2015, 12:20 AM

The problem is apparently a rights problem as mwscript & Co. execute as www-data and that user cannot read the configuration files:

vagrant@mediawiki-vagrant:/vagrant$ php5 -r "var_dump( glob( '/vagrant/settings.d/wikis/*/dbConf.php' ) );"
array(1) {
  [0] =>
  string(41) "/vagrant/settings.d/wikis/wiki/dbConf.php"
}
vagrant@mediawiki-vagrant:/vagrant$ sudo -u www-data php5 -r "var_dump( glob( '/vagrant/settings.d/wikis/*/dbConf.php' ) );"
array(0) {
}
vagrant@mediawiki-vagrant:/vagrant$
scfc added a comment.Oct 28 2015, 12:23 AM

And the culprit seems to be /vagrant where I cannot change the permissions:

vagrant@mediawiki-vagrant:/vagrant$ sudo -u www-data ls -l /vagrant
ls: cannot open directory /vagrant: Permission denied
vagrant@mediawiki-vagrant:/vagrant$ ls -dl /vagrant
drwx------ 1 vagrant www-data 686 Oct 27 23:03 /vagrant
vagrant@mediawiki-vagrant:/vagrant$ sudo chmod g+rwx /vagrant
vagrant@mediawiki-vagrant:/vagrant$ ls -dl /vagrant
drwx------ 1 vagrant www-data 686 Oct 27 23:03 /vagrant
vagrant@mediawiki-vagrant:/vagrant$
scfc closed this task as Invalid.Oct 28 2015, 12:31 AM
scfc claimed this task.

The problem was that the permissions for the directory on the host machine were 700. This was probably due to me initially creating the directory by git clone $url $(mktemp -d) and then later moving it to its current place. chmod g+rwx fixed the problem, thus proving that MediaWiki-Vagrant wasn't the cause for this. If other users run into this, an assertion might be nice, but for now this should do.

bd808 moved this task from Backlog to Done on the MediaWiki-Vagrant board.Nov 23 2015, 5:00 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 23 2015, 5:00 PM

Same error and changing permissions doesn't work.

Tgr added a subscriber: Tgr.Sep 29 2017, 8:34 PM

It definitely sounds like poor error handling somewhere in MWMultiVersion. (Also, multiversion should really be a library instead of a bunch of config files that Vagrant needs to maintain its own fork of.)

I wonder if keeping the puppet-managed settings files in a shared directory is more trouble than it is worth.

Tgr added a comment.Sep 29 2017, 8:41 PM

Also, multiversion should really be a library instead of a bunch of config files that Vagrant needs to maintain its own fork of.

Filed as T177111: Librarize multiversion code.